Bug 426667 - phones with more than 1 drives can't be accessed
phones with more than 1 drives can't be accessed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: moto4lin (Show other bugs)
11
i386 Linux
low Severity low
: ---
: ---
Assigned To: jafo-redhat
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-23 21:02 EST by Diego Rucci
Modified: 2010-06-28 06:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:31:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of problem (49.83 KB, image/png)
2007-12-23 21:02 EST, Diego Rucci
no flags Details

  None (edit)
Description Diego Rucci 2007-12-23 21:02:33 EST
Description of problem: 
Phones with more than 1 drive can't be accessed due to a strange char (greek
letter sho ϸ) between unit letters (for example /aϸ/c)


Version-Release number of selected component (if applicable):
moto4lin v0.3


How reproducible:
always

Steps to Reproduce:
1.plug your phone
2.start moto4lin and set the phone as P2K
3.press connect (in the status bar appears "Drive:/aϸ/c"); only a drive is
accessible.
  
Actual results:


Expected results:
Char removed from source code to gain access to all drives in phones.

Additional info:
Model phone: Motorola v191.
Comment 1 Diego Rucci 2007-12-23 21:02:33 EST
Created attachment 290332 [details]
screenshot of problem
Comment 2 Sean Reifschneider 2007-12-23 22:16:45 EST
This is a bug in the software, not the packaging.  This needs to be reported to
the moto4lin author, not to me, the Fedora packager.

Sean
Comment 3 Diego Rucci 2007-12-24 06:25:08 EST
Oh... Sorry for bother.
Thanks for your time!!
Comment 4 Diego Rucci 2007-12-27 17:16:25 EST
Me again.
I've contacted the author, He told me to use the SVN version.
I've installed and works.

Also I wrote to fedora-devel-list and they suggested me to reopen the bug and
suggest: "suggest in the bug to either backport some patches from
the svn version (if anyone is able to track which changes in code fixes
the behaviour) or upgrading to svn snapshot completely."
Comment 5 Sean Reifschneider 2007-12-28 05:14:55 EST
I'm sorry, but this is still an upstream issue.  The fact that the upstream
author has a patch that fixes this problem but is not releasing it in an
official release does not make this a packaging issues, IMHO.

It is my position that bugs like this need to be fixed by an upstream release,
particularly in cases like this.  Because upstream fixes help all distributions,
and Fedora, effectively, forking it does not.

I don't believe it is Fedora's place to be tracking svn.  Does the upstream
maintainer have a good reason for not having a real release that fixes this?

If someone from fedora-devel thinks this should be tracking SVN, they should
re-open this and take assignment on the bug.
Comment 6 Mamoru TASAKA 2007-12-28 06:29:24 EST
Generally speaking, if the maintainer of Fedora side thinks that
there is a good reason that he/she should release beta/svn/etc version
on stable blanches (Fedora 8/7), no one can stop it.

https://www.redhat.com/archives/fedora-devel-list/2007-November/msg02223.html
Comment 7 Kevin Kofler 2009-05-19 20:01:53 EDT
Reopening this again, over a year has passed and still no fix even in the F12 devel branch. Given that upstream is clearly not doing regular releases, it is your responsibility as a maintainer to apply the fix from upstream SVN or upgrade to SVN outright.

https://fedoraproject.org/wiki/Staying_close_to_upstream_projects#Some_Examples_Of_Exceptions
> Dead Or Unresponsive Upstream Projects - In cases where upstream projects are
> either dead or unresponsive, it might be acceptable to patch the software. If
> upstream is dead, you might want to consider sharing patches with other
> distributions or taking over maintenance if you have the time, skills, and
> interest. Be wary of maintaining software with no upstream since all the burden
> of maintaining the codebase as well as packaging issues are with you. If
> upstream is unresponsive and many distributions are deviating significantly, it
> might be a opportunity for a cross distribution fork (Similar to XFree86 and
> Xorg).

If you aren't doing this, you aren't doing your job as a packager and should orphan the package, or you will be considered a non-responsive packager. Closing real bugs as WONTFIX is not acceptable.
Comment 8 Robin 2009-05-28 16:42:36 EDT
bug 479984 might be able to be closed if the current SVN is used for moto4lin.

Looking at the SVN, their are two branches, one for the update of QT.

Ubuntu is using the SVN.  Maybe their fixes can help ease the patching.
Comment 9 Bug Zapper 2009-06-09 05:23:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Robin Laing 2009-07-14 18:54:49 EDT
Inkscape is working from the SVN.
gstat is working from the SVN.

There are many other applications that are using SVN instead of being stuck in limbo.  At least they work.

Hopefully there will be un update.
Comment 11 Bug Zapper 2010-04-27 07:52:07 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 06:31:08 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.